Library Version 18.1.40

DbSequence::get_cachesize()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::get_cachesize()

    #include <db_cxx.h>

    int DbSequence::get_cachesize(u_int32_t *sizep);

The `DbSequence::get_cachesize()` method returns the current cache size.

The `DbSequence::get_cachesize()` method may be called at any time during the life of the application.

The `DbSequence::get_cachesize()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### sizep

The `DbSequence::get_cachesize()` method returns the current cache size in sizep.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::get() | Home | DbSequence::get_dbp()